org.modeshape.jcr.query.xpath

## Class XPath.OrderBySpec

- java.lang.Object
- - org.modeshape.jcr.query.xpath.XPath.OrderBySpec

- Enclosing class:
    XPath

      public static class XPath.OrderBySpec
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPath.OrderBySpec(Order order, XPath.FunctionCall scoreFunction)`
    `XPath.OrderBySpec(Order order, XPath.NameTest attributeName)`
    `XPath.OrderBySpec(Order order, XPath.PathExpression path)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `XPath.NameTest` | `getAttributeName()` Get the attribute name for this order specification.
    `Order` | `getOrder()` The order for this specification
    `XPath.PathExpression` | `getPath()` Gets child axis for this order specification.
    `XPath.FunctionCall` | `getScoreFunction()` Get the score function for this order specification.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XPath.OrderBySpec

          public XPath.OrderBySpec(Order order,
                           XPath.FunctionCall scoreFunction)

    - #### XPath.OrderBySpec

          public XPath.OrderBySpec(Order order,
                           XPath.NameTest attributeName)

    - #### XPath.OrderBySpec

          public XPath.OrderBySpec(Order order,
                           XPath.PathExpression path)

  - ### Method Detail

    - #### getPath

          public XPath.PathExpression getPath()

      Gets child axis for this order specification.
      Returns:
        child axis node or null if order is defined by an attribute or score function.

    - #### getAttributeName

          public XPath.NameTest getAttributeName()

      Get the attribute name for this order specification.
      Returns:
        the attribute name, or null if the order is defined by the `score function`

    - #### getScoreFunction

          public XPath.FunctionCall getScoreFunction()

      Get the score function for this order specification.
      Returns:
        the score function with its parameters, or null if the order is defined by the `attribute name`

    - #### getOrder

          public Order getOrder()

      The order for this specification
      Returns:
        the order; never null

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.